<?php
//Incluir archivos necesarios
require_once ('../../../Clases/Producto.php');
require_once ('../../../Clases/Categoria.php');

$conex = new conn();
$conn = $conex->crearconn();

/*obtener codigo del producto del formulario y verificamos si el producto ya esta registrado*/
$cod=$_POST['Cod'];
$sql2 = "SELECT * FROM productos WHERE Cod = '$cod'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
      header("Location: ../../productos.php?m=2");//mensaje de error: codigo previamente registrado
    }else {

$nombre_imagen=$_FILES['foto']['name'];//obtener nombre de la imagen
$temporal = $_FILES['foto']['tmp_name'];//ubicacion temporal para la imagen
$uploadOk = 1;//variable bandera inicializada en 1
$carpeta='../../../Imagenes';//Definimos la ubicacion para almacenar la imagen
$ruta=$nombre_imagen;

/*obtener extension de la imagen*/
$imageFileType = strtolower(pathinfo($ruta,PATHINFO_EXTENSION));

/*comparamos si la imagen cargada es valida con los siguientes formatos*/
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {

  $uploadOk = 0;
  header("Location: ../../productos.php?m=1");//mensaje de error: formato de imagen invalido
} else { 

move_uploaded_file($temporal, $carpeta.'/'. $nombre_imagen);//mover la imagen a la ruta especificada

//obtener todos los datos que vienen del formulario y guardar
$cod=$_POST['Cod'];
$nombre=$_POST['Nombre'];
$descripcion=$_POST['Descripcion'];

$precioC=$_POST['PrecioC'];
$precioV= $_POST['PrecioV'];
$categoria= $_POST['Categoria'];
$ncategoria= $_POST['otro'];
$proveedor= $_POST['Proveedor'];
$nproveedor= $_POST['otrop'];
$imagen = $ruta;



if ($_POST['otro'] ===null ){
   
$register = new productos ();
echo $register->saveproducto($cod,$nombre,$descripcion,$imagen,$precioC,$precioV,$categoria,$proveedor);

header("Location: ../../productos.php?m=0");//mensaje de exito: registro exitoso



} else {
    
  $registercat = new categorias ();
   $registercat->savecat($ncategoria);

 $ultcat = $registercat->ultimacategoria();


$register = new productos ();
 $register->saveproducto($cod,$nombre,$descripcion,$imagen,$precioC,$precioV,$ultcat,$proveedor);

header("Location: ../../productos.php?m=0");//mensaje de exito: registro exitoso

}










}
}
?>